com.holonplatform.reactor.http

## Interface ReactiveRestClient.ReactiveRequestDefinition

- All Superinterfaces:
    ReactiveRestClient.ReactiveInvocation, com.holonplatform.http.rest.RestClientOperations.InvocationOperations<reactor.core.publisher.Mono<?>,reactor.core.publisher.Mono<?>,reactor.core.publisher.Mono<InputStream>,reactor.core.publisher.Flux<?>,reactor.core.publisher.Mono<URI>>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<ReactiveRestClient.ReactiveRequestDefinition>
  All Known Implementing Classes:
    DefaultReactiveRequestDefinition
  Enclosing interface:
    ReactiveRestClient

      public static interface ReactiveRestClient.ReactiveRequestDefinition
      extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<ReactiveRestClient.ReactiveRequestDefinition>, ReactiveRestClient.ReactiveInvocation

  Request message definition and response invocation.

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations.RequestConfiguration

      `accept, accept, acceptCharset, acceptCharset, acceptEncoding, acceptLanguage, acceptLanguage, authorizationBasic, authorizationBearer, cacheControl, getBaseRequestURI, getHeaders, getPropertySet, getQueryParameters, getRequestPath, getRequestURI, getTemplateParameters, header, path, propertySet, propertySet, queryParameter, resolve, resolve, target, target`

    - ### Methods inherited from interface com.holonplatform.reactor.http.ReactiveRestClient.ReactiveInvocation

      `delete, delete, delete, deleteForEntity, deleteForEntity, deleteOrFail, get, get, getAsList, getForEntity, getForEntity, getForStream, head, invoke, invokeForEntity, invokeForFlux, invokeForStream, invokeForSuccess, options, options, options, optionsForEntity, optionsForEntity, patch, patch, patch, patchForEntity, patchForEntity, post, post, post, postForEntity, postForEntity, postForLocation, put, put, put, putForEntity, putForEntity, trace, trace, trace, traceForEntity, traceForEntity`

Copyright © 2019 The Holon Platform. All rights reserved.